namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "incinerate")]
public class Incinerate : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        if (target.HeldItem is not { Category: ItemCategory.Berry } || !target.TryStealHeldItem(out _))
        {
            move.GetHitData(target, hit).Fail();
            return;
        }
        move.Battle.EventHook.Invoke(new DialogEvent("item_incinerated", new Dictionary<string, object>
        {
            { "pokemon", target },
            { "item", target.HeldItem },
        }));
    }
}